Serial Wombat Arduino Library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
SerialWombatHBridge Class Reference

A class representing a Serial Wombat H Bridge Output. More...

`#include <SerialWombatHBridge.h>`

Inheritance diagram for SerialWombatHBridge:
[legend]
Collaboration diagram for SerialWombatHBridge:
[legend]

## Public Member Functions
| SerialWombatHBridge (SerialWombatChip &serialWombat)
| Constructor for SerialWombatHBridge class.
int16_t | begin (uint8_t pin, uint8_t secondPin, uint16_t PWMPeriod_uS=1000, SerialWombatHBridgeDriverMode driverMode=HBRIDGE_OFF_BOTH_LOW)
| Initialize a pin that has been declared as HBridge.
Public Member Functions inherited from SerialWombatPin
| SerialWombatPin (SerialWombatChip &serialWombatChip)
| Instantiates a Serial Wombat Pin.
| SerialWombatPin (SerialWombatChip &serialWombatChip, uint8_t pin)
| Instantiates a Serial Wombat Pin.
uint16_t | readPublicData ()
| Read the 16 Bit public data associated with this pin.
void | pinMode (uint8_t mode, bool pullDown=false, bool openDrain=false)
| Set pin to INPUT or OUTPUT, with options for pull Ups and open Drain settings.
void | digitalWrite (uint8_t val)
| Set output pin High or Low.
int | digitalRead ()
| Reads the state of the Pin.
uint16_t | writePublicData (uint16_t value)
| Write a 16 bit value to this pin.
uint8_t | pin ()
| Returns the current SW pin number. Used primarily for virtual calls by derived classes.
uint8_t | swPinModeNumber ()
| Returns the Mode number. Used primarily by derived classes to populate packet data.
int16_t | initPacketNoResponse (uint8_t packetNumber, uint8_t param0=0x55, uint8_t param1=0x55, uint8_t param2=0x55, uint8_t param3=0x55, uint8_t param4=0x55)
int16_t | initPacketNoResponse (uint8_t packetNumber, uint16_t param0=0x55, uint8_t param1=0x55, uint8_t param2=0x55, uint8_t param3=0x55)
int16_t | initPacketNoResponse (uint8_t packetNumber, uint16_t param0, uint16_t param1, uint8_t param2=0x55)
int16_t | disable ()
| Disables the pin mode (if applicable)
int16_t | enablePullup (bool enabled)
| Enables the weak pull up on a pin. Implemented on SW18AB and SW8B only.
int16_t | enablePulldown (bool enabled)
| Enables the weak pull down on a pin. Implemented on SW18AB and SW8B only.
int16_t | enableOpenDrain (bool enabled)
| Enables open drain mode on a pin. Implemented on SW18AB and SW8B only.
int16_t | forceDMA (bool enabled)
| Forces use of DMA instead of hardware timing resources on SW18AB.
void | setPinNumberForTesting (uint8_t pin)
| A function designed for testing only. May have unpredictable results if used in real time. Not intended for general use.

## Additional Inherited Members
Protected Attributes inherited from SerialWombatPin
uint8_t | _pin = 255
SerialWombatChip & | _sw
uint8_t | _pinMode = 0

## Detailed Description

A class representing a Serial Wombat H Bridge Output.

An instance of this class should be declared for each pair of pins to be used as a Serial Wombat H Bridge.

Definition at line 48 of file SerialWombatHBridge.h.

## Constructor & Destructor Documentation

## ◆ SerialWombatHBridge()

SerialWombatHBridge::SerialWombatHBridge | ( | SerialWombatChip & | serialWombat | ) |
| inline

Constructor for SerialWombatHBridge class.

Parameters

  serialWombat | SerialWombat chip on which the PWM will run

Definition at line 55 of file SerialWombatHBridge.h.

## Member Function Documentation

## ◆ begin()

int16_t SerialWombatHBridge::begin | ( | uint8_t | pin,
|  | uint8_t | secondPin,
|  | uint16_t | PWMPeriod_uS = 1000,
|  | SerialWombatHBridgeDriverMode | driverMode = HBRIDGE_OFF_BOTH_LOW )
| inline

Initialize a pin that has been declared as HBridge.

Parameters

  pin | The pin to become the first pin of the HBridge control.
  secondPin | The 2nd pin to become the first pin of the HBridge control.
  PWMPeriod_uS | A value representing the period of the PWM duty cycle in uS
  driverMode | The Driver Mode (recirculation method, etc)

Definition at line 64 of file SerialWombatHBridge.h.